<?php
function all_rounder_widgets_init_footer() {    
    
    register_sidebar( array(
        'name'          => __( 'Footer Widget 1', 'all-rounder' ),
        'description'   => __( 'Appears on footer', 'all-rounder' ),
        'id'            => 'footer-1',
        'before_widget' => '<aside id="%1$s" class="cols-4 widget-column-1 %2$s footercont">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    
    register_sidebar( array(
        'name'          => __( 'Footer Widget 2', 'all-rounder' ),
        'description'   => __( 'Appears on footer', 'all-rounder' ),
        'id'            => 'footer-2',
        'before_widget' => '<aside id="%1$s" class="cols-4 widget-column-2 %2$s footercont">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    
    register_sidebar( array(
        'name'          => __( 'Footer Widget 3', 'all-rounder' ),
        'description'   => __( 'Appears on footer', 'all-rounder' ),
        'id'            => 'footer-3',
        'before_widget' => '<aside id="%1$s" class="cols-4 widget-column-3 %2$s footercont">',
        'after_widget'  => '</aside>',
        'before_title'  => '<h3>',
        'after_title'   => '</h3>',
    ) );
    
}
add_action( 'widgets_init', 'all_rounder_widgets_init_footer' );

function all_rounder_customize_register($wp_customize){
    $wp_customize->add_section('all_rounder_header', array(
        'title'    => esc_html__('Allrounder Header Phone and email edit', 'all-rounder'),
        'description' => '',
        'priority' => 30,
    ));
	
	 $wp_customize->add_section('all_rounder_social', array(
        'title'    => esc_html__('Allrounder Social Link', 'all-rounder'),
        'description' => '',
        'priority' => 35,
    ));
	
	$wp_customize->add_section('all_rounder_footer', array(
        'title'    => esc_html__('Allrounder Footer', 'all-rounder'),
        'description' => '',
        'priority' => 37,
    ));
 
    //  =============================
    //  = Text Input phone number                =
    //  =============================
    $wp_customize->add_setting('all_rounder_phone', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_text_field'
    ));
 
    $wp_customize->add_control('all_rounder_phone', array(
        'label'      => esc_html__('Phone Number', 'all-rounder'),
        'section'    => 'all_rounder_header',
        'setting'   => 'all_rounder_phone',
		'type'    => 'number'
    ));
	
	//  =============================
    //  = Text Input Email                =
    //  =============================
    $wp_customize->add_setting('all_rounder_email', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_email'       
    ));
 
    $wp_customize->add_control('all_rounder_email', array(
        'label'      => esc_html__('Email', 'all-rounder'),
        'section'    => 'all_rounder_header',
        'setting'   => 'all_rounder_email',
		'type'    => 'email'
    ));
	
	//  =============================
    //  = Text Input facebook                =
    //  =============================
    $wp_customize->add_setting('all_rounder_fb', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('all_rounder_fb', array(
        'label'      => esc_html__('Facebook', 'all-rounder'),
        'section'    => 'all_rounder_social',
        'setting'   => 'all_rounder_fb',
    ));
	//  =============================
    //  = Text Input Twitter                =
    //  =============================
    $wp_customize->add_setting('all_rounder_twitter', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('all_rounder_twitter', array(
        'label'      => esc_html__('Twitter', 'all-rounder'),
        'section'    => 'all_rounder_social',
        'setting'   => 'all_rounder_twitter',
    ));
	//  =============================
    //  = Text Input googleplus                =
    //  =============================
    $wp_customize->add_setting('all_rounder_glplus', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('all_rounder_glplus', array(
        'label'      => esc_html__('Google Plus', 'all-rounder'),
        'section'    => 'all_rounder_social',
        'setting'   => 'all_rounder_glplus',
    ));
	//  =============================
    //  = Text Input linkedin                =
    //  =============================
    $wp_customize->add_setting('all_rounder_in', array(
        'default'        => '',
		'sanitize_callback' => 'esc_url_raw'
    ));
 
    $wp_customize->add_control('all_rounder_in', array(
        'label'      => esc_html__('Linkedin', 'all-rounder'),
        'section'    => 'all_rounder_social',
        'setting'   => 'all_rounder_in',
    ));
	
	
  //  =============================
    //  = Footer              =
    //  =============================
	
	// Footer design and developed
	 $wp_customize->add_setting('all_rounder_design', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_textarea_field'
    ));
 
    $wp_customize->add_control('all_rounder_design', array(
        'label'      => esc_html__('Design and developed', 'all-rounder'),
        'section'    => 'all_rounder_footer',
        'setting'   => 'all_rounder_design',
		'type'	   =>'textarea'
    ));
	// Footer copyright
	 $wp_customize->add_setting('all_rounder_copyright', array(
        'default'        => '',
		'sanitize_callback' => 'sanitize_textarea_field'       
    ));
 
    $wp_customize->add_control('all_rounder_copyright', array(
        'label'      => esc_html__('Copyright', 'all-rounder'),
        'section'    => 'all_rounder_footer',
        'setting'   => 'all_rounder_copyright',
		'type'	   =>'textarea'
    ));	
}
add_action('customize_register', 'all_rounder_customize_register');
define('ALL_ROUNDER_PROURL', 'https://themestulip.com/themes/all-rounder-multipurpose-wordpress-theme/');
define('ALL_ROUNDER_DEMOURL', 'https://themestulip.com/demo/allrounder-pro/');
define('ALL_ROUNDER_THEMEURL', 'https://themestulip.com/themes/free-all-rounder-multipurpose-wordpress-theme');
define('ALL_ROUNDER_DOCURL', 'https://themestulip.com/documentation/allrounder');
?>