<?php
/**
 * @package all-rounder
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>

</head>

<body <?php body_class(); ?>>
	<?php 
		if ( function_exists( 'wp_body_open' ) ) {
    wp_body_open();
} else {
    do_action( 'wp_body_open' );
} 
	?>
<section id="header">
	<header class="container">
		<div class="container-fluid header_top row">
			<div class="col-lg-5 col-md-5 header_left">
				<div class="logo">
					<?php if (display_header_text()==true){?>
					<h1><a href="<?php echo esc_url( home_url( '/') ); ?>"><?php bloginfo('name'); ?></a></h1>
					<p><?php bloginfo('description'); ?></p>
					<?php } ?>
				</div><!-- logo -->
			</div><!--header_left-->
			<div class="col-md-4 col-lg-4 header_middle">
				<ul>
					<li>
						<?php $all_rounder_email = get_theme_mod('all_rounder_email'); ?>
						<?php if(get_theme_mod('all_rounder_email')){?>
							<i class="fa fa-envelope"></i>&nbsp;&nbsp;<?php echo esc_html($all_rounder_email);?>
						<?php }?>
						

					</li>
					<li>
						<?php $all_rounder_phone = get_theme_mod('all_rounder_phone'); ?>
						<?php if(get_theme_mod('all_rounder_phone')){?>
							<i class="fa fa-phone"></i>&nbsp;&nbsp;<?php echo esc_html($all_rounder_phone);?>
						<?php }?>						
						</li>
				</ul>
				<div class="clear"></div>
			</div><!--header_middle-->
			<div class="col-md-3 col-lg-3 header_right">
				<ul>
					<?php if(get_theme_mod('all_rounder_fb')){?>
						<li><a title="<?php esc_attr_e('Facebook','all-rounder'); ?>" class="fa fa-facebook" target="_blank" href="<?php echo esc_url(get_theme_mod('all_rounder_fb','')); ?>"></a> </li>
					<?php }?>
					<?php if(get_theme_mod('all_rounder_twitter')){?>
						<li><a title="<?php esc_attr_e('twitter','all-rounder'); ?>" class="fa fa-twitter" target="_blank" href="<?php echo esc_url(get_theme_mod('all_rounder_twitter','')); ?>"></a></li>
					<?php }?>
					<?php if(get_theme_mod('all_rounder_glplus')){?>
						<li><a title="<?php esc_attr_e('googleplus','all-rounder'); ?>" class="fa fa-google-plus" target="_blank" href="<?php echo esc_url(get_theme_mod('all_rounder_glplus','')); ?>"></a></li>
					<?php }?>
					<?php if(get_theme_mod('all_rounder_in')){?>
						<li><a title="<?php esc_attr_e('linkedin','all-rounder'); ?>" class="fa fa-linkedin" target="_blank" href="<?php echo esc_url(get_theme_mod('all_rounder_in','')); ?>"></a></li>
					<?php }?>
				</ul>
				<div class="clear"></div>
			</div>
			<div class="clear"></div>
		</div><!--header_top-->
		<div class="clear"></div>
		
	</header>
</section><!--header-->
<section id="main_navigation">
	<div class="main-navigation-inner mainwidth">
    	<div class="toggle">
                <a class="togglemenu" href="#"><?php esc_html_e('Menu','all-rounder'); ?></a>
             </div><!-- toggle --> 
			<div class="sitenav">
					<?php
					wp_nav_menu( array(
					'theme_location' => 'primary'
					) );
					?>
            </div><!-- site-nav -->
		</div><!--main-navigation-->
</section><!--main_navigation-->
<section id="banner">
	<div class="banner ">
			<?php if ( is_front_page() || is_home() ) {?>
				<?php if ( get_header_image() ) : ?>
				<img alt="" src="<?php header_image(); ?>">
            	<?php endif; ?>
			<?php }elseif(is_page() || is_single()){?>
					<?php if ( has_post_thumbnail() ) {
						?> 
						 <?php $featured_img_url = esc_url(get_the_post_thumbnail_url(get_the_ID(),'full'),'all-rounder'); ?>
						<img src="<?php echo esc_url($featured_img_url,'all-rounder');?>">
						<?php }else{?>
							<img src="<?php echo esc_url(get_template_directory_uri(),'all-rounder'); ?>/images/innerbanner.jpg">		
					<?php } ?>
		<?php }else{?>
							<img src="<?php echo esc_url(get_template_directory_uri(),'all-rounder'); ?>/images/innerbanner.jpg">		
		<?php }?>
	</div><!--banner-->
</section><!--banner-->